flutter_media_info 0.0.4-dev.3 copy "flutter_media_info: ^0.0.4-dev.3" to clipboard
flutter_media_info: ^0.0.4-dev.3 copied to clipboard

Library for use LibMediaInfo in flutter with support for macos, windows, linux.

FlutterMediaInfo #

pub package GitHub Platform Tests GitHub issues CodeFactor Pub Points Pub Popularity Pub Likes

Library for use LibMediaInfo in flutter with support for macos, windows, linux.

Get started #

Minimal system requirements #

  • Ubuntu 20.04 x64
  • Windows 7 x64
  • macOS 10.10 x64 (Running on Rosetta 2 is not working currently)

Requirements #

For use this package you must have installed camke in your development/build system on all platforms.

Add dependency #

dependencies:
  flutter_media_info: ^0.0.3

Example: #

import 'package:flutter_media_info/flutter_media_info.dart';


void printVideoDuration() {
    final mi = Mediainfo.init();
    mi.quickLoad("/home/user/myVideo.mp4");

    final movieDuration = mi.getInfo(MediaInfoStreamType.mediaInfoStreamVideo, 0, "Duration/String2");

    mi.close();
    print('Duration: ${movieDuration}');
}

License #

This product uses MediaInfo library, Copyright (c) 2002-2023 MediaArea.net SARL.

5
likes
120
pub points
66%
popularity

Publisher

verified publisherpcpl2.ovh

Library for use LibMediaInfo in flutter with support for macos, windows, linux.

Homepage
Repository (GitHub)
View/report issues

Documentation

API reference

License

BSD-2-Clause (LICENSE)

Dependencies

ffi, flutter, path

More

Packages that depend on flutter_media_info